Package io.flutter.plugin.platform

# Class SurfaceProducerPlatformViewRenderTarget

java.lang.Object
io.flutter.plugin.platform.SurfaceProducerPlatformViewRenderTarget

All Implemented Interfaces:
  `PlatformViewRenderTarget`

@RequiresApi(29) public class SurfaceProducerPlatformViewRenderTarget extends Object implements PlatformViewRenderTarget

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SurfaceProducerPlatformViewRenderTarget(TextureRegistry.SurfaceProducer producer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeight()`
  `long`
  `getId()`
  `Surface`
  `getSurface()`
  `int`
  `getWidth()`
  `boolean`
  `isReleased()`
  `void`
  `release()`
  `void`
  `resize(int width, int height)`
  `void`
  `scheduleFrame()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SurfaceProducerPlatformViewRenderTarget

    public SurfaceProducerPlatformViewRenderTarget(TextureRegistry.SurfaceProducer producer)

- ## Method Details

  - ### resize

    public void resize(int width, int height)
    Specified by:
      `resize` in interface `PlatformViewRenderTarget`

  - ### getWidth

    public int getWidth()
    Specified by:
      `getWidth` in interface `PlatformViewRenderTarget`

  - ### getHeight

    public int getHeight()
    Specified by:
      `getHeight` in interface `PlatformViewRenderTarget`

  - ### getId

    public long getId()
    Specified by:
      `getId` in interface `PlatformViewRenderTarget`

  - ### release

    public void release()
    Specified by:
      `release` in interface `PlatformViewRenderTarget`

  - ### isReleased

    public boolean isReleased()
    Specified by:
      `isReleased` in interface `PlatformViewRenderTarget`

  - ### getSurface

    public Surface getSurface()
    Specified by:
      `getSurface` in interface `PlatformViewRenderTarget`

  - ### scheduleFrame

    public void scheduleFrame()
    Specified by:
      `scheduleFrame` in interface `PlatformViewRenderTarget`